<!DOCTYPE html>
<html>
    <head>
        <title>Lab 3</title>
        <link rel="stylesheet" href="styles/site.css" type="text/css" />
        <META http-equiv="Content-Type" content="text/html; charset=UTF-8">
    </head>

    <body class="theme-default aui-theme-default">
        <div id="page">
            <div id="main" class="aui-page-panel">
                

                <div id="content" class="view">
                   
                    <div id="main-content" class="wiki-content group">
                    <h2 id="AWSLab3-Lab3:ModelEvaluation">Lab 3: Model Evaluation</h2><p><em>Overview:</em></p><p>Welcome to the Model Evaluation Lab! You will set up your repository for Lab3, introducing the newest pipeline job: model evaluation. This job outputs a JSON file in S3 which you will also get to view.</p><p><em>Roadmap:</em></p><ol><li><p>Open the Lab environment and log in to AWS</p></li><li><p>Set up your repository for Lab 3</p></li><li><p>Read through the Evaluation step</p></li><li><p>Run the pipeline</p></li><li><p>View Pipeline Graph and generated Logs</p></li><li><p>View JSON Evaluation file in S3</p></li></ol><p><em>Instructions:</em></p><ol><li><p>Open the Lab environment and log in to AWS</p><ol><li><p>Use the provided link to open CloudShare. Click <strong>Microsoft Office Professional Plus 2019 (Windows Server 2019) </strong>at the top of the page. The VM will load and open.</p></li><li><p>Once in the VM open Google Chrome from the taskbar and navigate to <a class="external-link" href="https://aws.amazon.com/" rel="nofollow">https://aws.amazon.com/</a></p></li><li><p>Sign in to the Console using the AWS credentials located under <strong>Public Clouds </strong>on the left sidebar.</p></li></ol></li><li><p>Set up your Notebook Instance repository for Lab 3</p><ol><li><p>Hit the <strong>+</strong> on the top left to open the Launcher Page</p><span class="confluence-embedded-file-wrapper image-center-wrapper"><img class="confluence-embedded-image image-center" loading="lazy" src="attachments/2324136047/2324267062.png" data-image-src="attachments/2324136047/2324267062.png" data-height="639" data-width="1699" data-unresolved-comment-count="0" data-linked-resource-id="2324267062" data-linked-resource-version="1" data-linked-resource-type="attachment" data-linked-resource-default-alias="image-20220610-020544.png" data-base-url="https://elderresearch.atlassian.net/wiki" data-linked-resource-content-type="image/png" data-linked-resource-container-id="2324136047" data-linked-resource-container-version="1" data-media-id="0c041995-165f-43b7-9e9c-4ee5a6e5a4a8" data-media-type="file"></span></li><li><p>Scroll down and open a Terminal</p></li><li><p>Copy and paste the following code into your Terminal. Hit Enter.</p><div class="code panel pdl" style="border-width: 1px;"><div class="codeContent panelContent pdl">
<pre class="syntaxhighlighter-pre" data-syntaxhighlighter-params="brush: java; gutter: false; theme: Confluence" data-theme="Confluence">cd SageMaker/aws-intro-to-mlops/
git pull origin main
git fetch --all --tags
git checkout lab3
</pre>
</div></div></li><li><p>You are now set up for Lab 3</p></li></ol></li><li><p>Read through the Evaluation step</p><ol><li><p>Navigate to <strong>pipeline.py</strong>. Notice the evaluation has been added in Lines 237-274. Here we define the input and output folders and point to the evaluation script.</p></li><li><p>Navigate to and read through <strong>evaluation.py </strong>in the <strong>scripts </strong>folder. Here we will use the “test” portion of the dataset to make predictions for wine quality and compare these predictions against actual values. We score the mean squared error, mean absolute error, and r squared values and write these values to a JSON file which we’ll view later.</p></li></ol></li><li><p>Run the pipeline</p><ol><li><p>Right-click in the script and select <strong>create console for editor</strong>. Select <strong>conda_python_3 </strong>as your preferred terminal if prompted.</p></li><li><p>In the new console, type <strong>run pipeline.py</strong> and hit shift-enter.</p><ol><li><p>The pipeline may run for up to 15 minutes so this would be a great time to grab a cup of coffee or tea. The finished pipeline will return the message: “<code>Wine Model Build Pipeline complete.</code>&quot;</p></li><li><p>Continue to the next step to visualize the graph as it executes.</p></li></ol></li></ol></li><li><p>View Pipeline Graph and the Logs generated</p><ol><li><p>Navigate to <strong>SageMaker Studio</strong></p><ol><li><p>Return to SageMaker. Click <strong>Studio</strong> on the left navigation bar and select<strong> aieu-student </strong>under users.</p></li><li><p>Select <strong>Studio </strong>under <strong>Launch App</strong>.</p></li></ol></li><li><p>View the Pipeline Graph</p><ol><li><p>Select the SageMaker resources icon on the left console :pipeline: .</p></li><li><p>In the drop-down menu select <strong>Pipelines</strong>.</p></li><li><p>Select <strong>WineQualityPipeline </strong>from the list of pipelines. Double click on the successful run.</p></li><li><p>Notice that the evaluation step has been appended to the graph. Select the <strong>EvalWineModel </strong>node and explore the output and logs.</p></li></ol></li></ol></li><li><p>View JSON Evaluation file in S3</p><ol><li><p>Navigate to <strong>S3 </strong>(Simple Storage Service)<strong> </strong>using the search bar. Amazon S3 provides cloud object storage. S3 will be the storage location of the JSON file generated by evaluation.py.</p></li><li><p>Select <strong>Buckets</strong> on the left console. A bucket is a container for objects stored in S3.</p></li><li><p>Select your Notebook Instance’s bucket. Note that this bucket will begin with <strong>sagemaker-us-east…</strong>. Select the folder that will contain your evaluation metrics. Note that the name will begin with <strong>EvalWineModel…</strong>.</p></li><li><p>Select <strong>outputs &gt; evaluation &gt; evaluation.json</strong>. Explore the object overview details. Here you will find an object’s characteristics such as its size and type.</p></li><li><p>Download the file using either the Download or Open button at the top right of this window.</p><ol><li><p>Open the downloaded file to explore regression metrics such as mean squared error, mean absolute error, and r squared.</p></li></ol></li></ol></li><li><p>Ensure you shut down any Terminal Sessions or Kernel Sessions in your Notebook Instance</p><span class="confluence-embedded-file-wrapper image-center-wrapper"><img class="confluence-embedded-image image-center" loading="lazy" src="attachments/2324136047/2324267069.png" data-image-src="attachments/2324136047/2324267069.png" data-height="416" data-width="415" data-unresolved-comment-count="0" data-linked-resource-id="2324267069" data-linked-resource-version="1" data-linked-resource-type="attachment" data-linked-resource-default-alias="image-20220610-020349.png" data-base-url="https://elderresearch.atlassian.net/wiki" data-linked-resource-content-type="image/png" data-linked-resource-container-id="2324136047" data-linked-resource-container-version="1" data-media-id="772c4b9a-f476-4e70-a76e-bc997ef6f182" data-media-type="file"></span></li></ol><p> </p><p> </p>
                    
                    
                 
                </div>             </div> 
            <div id="footer" role="contentinfo">
                
            </div>
        </div>     </body>
</html>
